<?php 
    include("../../../shared/common.php");

    use PHPMailer\PHPMailer\PHPMailer;
    use PHPMailer\PHPMailer\SMTP;
    use PHPMailer\PHPMailer\Exception;
    require '../../../shared/PHPMailer/src/Exception.php';
    require '../../../shared/PHPMailer/src/PHPMailer.php';
    require '../../../shared/PHPMailer/src/SMTP.php';

    $request = $_POST['request'];

    if($request == 'getQuestions'){
        $business = $_POST['business'];
        $query = "SELECT id, question, type, question_ar, required FROM question WHERE business=$business and active=1 ORDER BY priority";
        $result = $db->query($query);
        $count = $result->num_rows;
        $data = array();
        if ($count>0) {
            while($row = mysqli_fetch_assoc($result)){ 
                array_push($data, $row); 
            } 
        }
        header('Content-type: application/json');
        echo json_encode($data);
    }

    if($request == 'submitReview'){
        $customer = $_POST['customer'];
        if($_POST['employee'])
            $employee = $_POST['employee'];
        else 
            $employee = NULL;
        $reviews = $_POST['reviews'];
        $business = $_POST['business'];
        date_default_timezone_set('Asia/Beirut');
        $c_date = date('y-m-d H:i:s');

        $response = "DONE";
        $sum = 0;
        $len = 0;

        $r_html = '';

        foreach ($reviews as $review) {
            $questionId = $review['questionId'];
            $answer = $review['answer'];

            $query = "SELECT question, type FROM question WHERE id=$questionId";
            $result = $db->query($query);
            $row = $result->fetch_assoc();

            $question = $row['question'];
            $type = $row['type'];
            
            if($type == 3) {
                $answerFormatted = floatval($answer);
                $answerFormatted = number_format($answer, 1);
                $sum += $answerFormatted;
                $len += 1;
                if($answerFormatted<=2.5)
                    $color = '#ff0000';
                if($answerFormatted>2.5 && $answerFormatted<4.0)
                    $color = '#ffd700';
                if($answerFormatted>=4.0)
                    $color = '#52bb56';
                $r_html .='<tr><td style="padding: 8px; text-align: left;">'.$question.'</td><td style="padding: 8px; text-align: left;"><span style="padding: 5px; border-radius: 5px; color: white; background-color:'.$color.'">'.$answerFormatted.'</span></td></tr>';
            } else{
                if($type==5){
                    $trimmedAnswer = trim($answer);
                    if($trimmedAnswer === "Yes")
                        $color = '#52bb56';
                    if($trimmedAnswer === "No")
                        $color = '#ff0000';
                    $r_html .='<tr><td style="padding: 8px; text-align: left;">'.$question.'</td><td style="padding: 8px; text-align: left;"><span style="padding: 5px; border-radius: 5px; color: white; background-color:'.$color.'">'.$trimmedAnswer.'</span></td></tr>';
                }
                else {
                    $r_html .='<tr><td style="padding: 8px; text-align: left;">'.$question.'</td><td style="padding: 8px; text-align: left;">'.$answer.'</td></tr>';
                }
            }
                
            $query = "INSERT INTO review (customer, question, answer, business, employee, datetime) VALUES ($customer, $questionId, '$answer', $business, " . ($employee !== NULL ? "'$employee'" : "NULL") . ", '$c_date')";
            $result = $db->query($query);
            if (!$result) {
                $response = "ERROR";
                break;
            }
        }

        $rating = $sum / $len;
        $rating = number_format($rating, 1);

        if($response == "DONE" && $rating<=2.5) {
            $query = "SELECT customer.firstname as firstname, customer.lastname as lastname, customer.phone as phone, customer.ccode as ccode FROM customer WHERE id=$customer";
            $result = $db->query($query);
            $row = mysqli_fetch_assoc($result);
            $customerName = $row['firstname'].' '.$row['lastname'];
            $phone = $row['phone'];
            $ccode = $row['ccode'];
            if($employee){
                $query = "SELECT name_en FROM employee WHERE id=$employee";
                $result = $db->query($query);
                $row = mysqli_fetch_assoc($result);
                $employee = $row['name_en'];
            } else {
                $employee = '';
            }
            $c_date_obj = new DateTime($c_date);
            $formatted_c_date = $c_date_obj->format('d-m-Y h:i A');
            $html = '<p>Customer: '.$customerName.'</p><a href="tel:'.+$phone.'">'.$phone.'</a><p>Datetime: '.$formatted_c_date.'</p><p>Employee: '.$employee.'</p><table class="table" style="width:100%"><thead><tr><th>Question</th><th style="padding: 8px; text-align: left;">Answer</th></tr></thead><tbody>';
            $html .= $r_html;
            $html .= '</tbody></table>';
            $query = "SELECT * FROM notification";
            $result = $db->query($query);
            $row = mysqli_fetch_assoc($result);
            if($row['active'] == 1){
                $host = $row['host'];
                $email = $row['email'];
                $password = $row['password'];
                $query = "SELECT firstname, email FROM manager WHERE business=$business";
                $result = $db->query($query);
                while($row = mysqli_fetch_assoc($result)){ 
                    $mail = new PHPMailer(true);
                    $mail->SMTPDebug = 0;
                    $mail->isSMTP(); 
                    $mail->Host       = $host;                     
                    $mail->SMTPAuth   = true;                                  
                    $mail->Username   = $email;                     
                    $mail->Password   = $password;                              
                    $mail->SMTPSecure = PHPMailer::ENCRYPTION_SMTPS;          
                    $mail->Port       = 465;                            
                    $mail->setFrom($email, 'WeReview');
                    $mail->addAddress($row['email'], $row['firstname']);
                    $mail->Subject = 'Negative Review Received';
                    $mail->isHTML(true);
                    $mail->Body = $html;
                    $mail->AltBody = 'If you cannot view this message, please check your email client settings.';
                    $mail->send();
                    header('Content-type: application/json');
                    echo json_encode($response);
                } 
            }
        } else {
            echo json_encode($response);
            header('Content-type: application/json');
        }
        
    }
?>