<?php 
    $queryString = $_SERVER['QUERY_STRING'];
    parse_str($queryString, $queryParams);
    $businessid = isset($queryParams['business']) ? $queryParams['business'] : null;
    $customerid = isset($queryParams['customer']) ? $queryParams['customer'] : null;

    include("../shared/common.php");
    $query = "SELECT * FROM business WHERE id=$businessid";
	$result = $db->query($query);
	$selectrow = mysqli_fetch_array($result);
    $name = $selectrow['name'];
    $logo = $selectrow['logo'];
    $background = $selectrow['background'];
    $color = $selectrow['color'];
    $role = $selectrow['role'];

    $query = "SELECT lang FROM customer WHERE id=$customerid";
	$result = $db->query($query);
	$selectrow = mysqli_fetch_array($result);
    $language = $selectrow['lang'];

    $query = "SELECT name_en, name_ar FROM role WHERE id=$role";
	$result = $db->query($query);
	$selectrow = mysqli_fetch_array($result);
    $role_en = $selectrow['name_en'];
    $role_ar = $selectrow['name_ar'];

    $query = "SELECT employee.id as id, name_en, name_ar FROM employee WHERE business=$businessid and active=1";
    $result = $db->query($query);
    $count = $result->num_rows;
    $employees = array();
    if ($count>0) {
        while($row = mysqli_fetch_assoc($result)){ 
            array_push($employees, $row); 
        } 
    }
?>

<html>
    <head>
	<link rel="shortcut icon" href=<?php echo "../shared/logos/".$logo; ?>>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width,initial-scale=1">
        <meta name="description" content="WeReview System" />
        <link rel="preconnect" href="https://fonts.gstatic.com" />
        <title><?php echo $name;?></title>
        <link href="assets/css/styles.css" rel="stylesheet" />
        <link href="https://fonts.googleapis.com/css2?family=Inter:wght@300;400;600&display=swap" rel="stylesheet" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.3/css/all.min.css" />
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
    </head>
    
    <body>

        <div class="container" style="background-image: url('<?php echo "../shared/backgrounds/".$background;?>');">
            <div class="background"></div>
            <div class="content">
                <div class="form">
                    <input id="color" name="color" hidden value="<?php echo $color; ?>">
                    <input id="business" name="business" hidden value="<?php echo $businessid; ?>">
                    <input id="customer" name="customer" hidden value="<?php echo $customerid; ?>">
                    <input id="language" name="language" hidden value="<?php echo $language; ?>">
                    <?php if($employees){ ?>
                    <select class="select" id="employee">
                        <option hidden disabled selected value><?php if($language == 'en') echo 'Select '.$role_en; else  echo 'اختر '.$role_ar; ?></option>
                        <?php
                            for($i=0;$i<count($employees);$i++){
                                $employee_id = $employees[$i]['id'];
                                if($language == 'en')
                                    $employee_name = $employees[$i]['name_en'];
                                else
                                    $employee_name = $employees[$i]['name_ar'];
                                echo '<option value='.$employee_id.'>'.$employee_name.'</option>';
                            }
                        ?>
                    </select>
                    <?php } ?>
                    <div id="questions"></div>
                    <span id="error" style="color: red;"></span>
                    <button class="button" type="button" id="submit" style="background-color: <?php echo $color?>;"><?php if($language=='en') echo 'Submit'; else echo 'أرسل';?></button>
                </div>
            </div>
        </div>

        <script src="./assets/js/review.js""></script>
    </body>
</html>