<?php

    include("../../shared/common.php");

    if(!isset($_SESSION['id']) || $_SESSION['role']!=='admin'){
        echo "<script type='text/javascript'>
            window.location = '../index';
        </script>";
    }
    
    $active = 'agents';
    $current_admin = $_SESSION['id'];

?>

<html>
    <head>
        <link rel="shortcut icon" href="../../shared/logos/wereview_icon.png">
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width,initial-scale=1">
        <meta name="description" content="WeReview System" />
        <link rel="preconnect" href="https://fonts.gstatic.com" />
        <title>WeReview System</title>
        <link href="../../shared/css/app.css" rel="stylesheet" />
        <link href="https://fonts.googleapis.com/css2?family=Inter:wght@300;400;600&display=swap" rel="stylesheet" />
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.1/jquery.min.js"></script>
    </head>
    
    <body>
        <div class="wrapper">
            <?php 
                include('includes/sidebar.php');
            ?>
            <div class="main">
            <?php 
                include('includes/header.php');
            ?>
            <main class="content">
                <div class="container-fluid p-0">
                    <h3 class="mb-4"><strong>Create Agent</strong></h3>

                    <form class="w-100 d-flex flex-column gap-4 justify-content-center" enctype="multipart/form-data">

						<div class="row justify-items-between gap-4 gap-md-0">
                            <div class="col-md-4">
						        <label id="lblfirstname" class="mb-2">First Name*</label>
						        <input type="text" class="form-control" name="firstname" id="firstname" required>
                                <span id="feedbackfirstname" class="invalid-feedback"></span>
					    	</div>
					    	<div class="col-md-4">
						        <label id="lbllastname" class="mb-2">Last Name*</label>
						        <input type="text" class="form-control" name="lastname" id="lastname" required>
                                <span id="feedbacklastname" class="invalid-feedback"></span>
					    	</div>
                            <div class="col-md-4">
						        <label id="lblusername" class="mb-2">Username*</label>
						        <input type="text" class="form-control" name="username" id="username" required>
                                <span id="feedbackusername" class="invalid-feedback"></span>
					    	</div>
						</div>

                        <div class="row justify-items-between gap-4 gap-md-0">
                            <div class="col-md-4">
						        <label id="lblemail" class="mb-2">Email*</label>
						        <input type="text" class="form-control" name="email" id="email" required>
                                <span id="feedbackemail" class="invalid-feedback"></span>
					    	</div>
					    	<div class="col-md-4">
						        <label id="lblpassword" class="mb-2">Password*</label>
						        <input type="text" class="form-control" name="password" id="password" required>
                                <span id="feedbackpassword" class="invalid-feedback"></span>
					    	</div>
						</div>
						
                        <div class="d-flex gap-2">
						    <input type="checkbox" id="active" class="form-check-input"> 
						    <span>Active</span> 
						</div>
						
						<div class="d-flex gap-3">
							<button type="button" id="create" name="create" class="btn btn-lg btn-primary text-center">Create</button>
							<button type="button" id="cancel" name="cancel" class="btn btn-lg btn-secondary text-center">Cancel</button>
						</div> 
					</form> 
                </div>
            </main>
            <?php 
                include('includes/footer.php');
            ?> 
        </div>
        
        <script src="../../shared/js/app.js"></script>
        <script src="assets/js/create-agent.js"></script>
        
    </body>
</html>